Page MenuHomePhabricator

Need to finish all idler jobs before close log file.
Closed, ResolvedPublic

Description

Efl errors when log-file changed until idler works.
Additional errors appears when window closed.
This happens if delete_obj idlers exist when log closed.

After changing log-file.
ERR<14660>:eo lib/elementary/elm_grid.eo.c:24 elm_obj_grid_pack() EOID 0x80000097b24f0d56 is not a valid object. EOID domain=0, current_domain=0, local_domain=0. EOID generation=24f0d56, id=2f6, ref=1. Thread self=main. Available domains [0 1 ]. Maybe it has been deleted or does not belong to your thread?
ERR<14660>:eo lib/eo/eo.c:2006 efl_data_scope_get() EOID 0x80000097b24f0d56 is not a valid object. EOID domain=0, current_domain=0, local_domain=0. EOID generation=24f0d56, id=2f6, ref=1. Thread self=main. Available domains [0 1 ]. Maybe it has been deleted or does not belong to your thread?
ERR<14660>:eo lib/eo/eo.c:1682 efl_isa() EOID 0x80000097b24f0d56 is not a valid object. EOID domain=0, current_domain=0, local_domain=0. EOID generation=24f0d56, id=2f6, ref=1. Thread self=main. Available domains [0 1 ]. Maybe it has been deleted or does not belong to your thread?

After closing:
CRI<14660>:elementary lib/elementary/elm_widget.c:475 _on_sub_obj_del() no widget data for object 0x80000097b24f0d56 ((null))
ERR<14660>:eo lib/eo/efl_object.eo.c:50 efl_provider_find() EOID 0x80000097b24f0d56 is not a valid object. EOID domain=0, current_domain=0, local_domain=0. EOID generation=24f0d56, id=2f6, ref=1. Thread self=main. Available domains [0 1 ]. Maybe it has been deleted or does not belong to your thread?
ERR<14660>:eo lib/eo/efl_object.eo.c:50 efl_provider_find() EOID 0x80000097b24f0d56 is not a valid object. EOID domain=0, current_domain=0, local_domain=0. EOID generation=24f0d56, id=2f6, ref=1. Thread self=main. Available domains [0 1 ]. Maybe it has been deleted or does not belong to your thread?
ERR<14660>:eo lib/eo/eo_base_class.c:891 efl_wref_del() EOID 0x80000097b24f0d56 is not a valid object. EOID domain=0, current_domain=0, local_domain=0. EOID generation=24f0d56, id=2f6, ref=1. Thread self=main. Available domains [0 1 ]. Maybe it has been deleted or does not belong to your thread?

NikaWhite moved this task from Backlog to Defects on the Profiling Viewer board.Sep 13 2017, 3:40 AM
NikaWhite moved this task from Backlog to Review on the Profiling Viewer (1.1) board.

Please check with D5526. Looks like this already fixed.

NikaWhite moved this task from Review to Done on the Profiling Viewer (1.1) board.Dec 3 2017, 11:16 PM
NikaWhite closed this task as Resolved.Dec 26 2017, 8:52 AM